> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-server/005-function/concurrency/concurrency.spawnthread.md).

# Concurrency.spawnThread

## Description

Waits for a series of functions to be run first.

## Input / Parameter

| Name            | Description                                                                                  | Input Type | Default | Options | Required |
| --------------- | -------------------------------------------------------------------------------------------- | ---------- | ------- | ------- | -------- |
| successCallback | All the functions in threadCallback will need to be completed before successCallback is run. | Any        | -       | -       | No       |
| threadCallback  | The series of functions to be completed before successCallback can be run.                   | Any        | -       | -       | No       |
| extra           | The stored value that is passed to all the callbacks.                                        | Any        | -       | -       | No       |

## Output

| Description                        | Output Type |
| ---------------------------------- | ----------- |
| Returns the formatted information. | Object      |

### Object

| Key     | Description                                                             | Output Type |
| ------- | ----------------------------------------------------------------------- | ----------- |
| success | Boolean value to denote whether the function was executed successfully. | Text        |
| message | The message to print.                                                   | Text        |
| data    | Any additional message or data to print.                                | Text        |

## Callback

### successCallback

The action performed if this function runs successfully.

| Description                            | Output Type |
| -------------------------------------- | ----------- |
| Returns the successCallback parameter. | Any         |

### errorCallback

The action performed if this function runs successfully.

| Description                           | Output Type |
| ------------------------------------- | ----------- |
| Returns the threadCallback parameter. | Any         |

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-server/005-function/concurrency/concurrency.spawnthread.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
